



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>SAP CRM 在Web UI中创建搜索帮助</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">SAP CRM 在Web UI中创建搜索帮助</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 17:20:32 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　多数情况下，在Web UI为一个特定的字段提供搜索帮助需要在事务SE11中创建搜索帮助。</p>
<p>　　（注：也可以通过在SE24中创建一个类并实现实现IF_BSP_WD_CUSTOM_F4_CALLBACK接口来提供搜索帮助。）</p>
<p>　　让我们首先在SE11中创建搜索帮助。</p>
<p>　　前往事务SE11，创建搜索帮助，输入下图中展示的值。这里我们想要在搜索视图提供一个用于合作伙伴功能字段的搜索帮助。</p>
<p>　　<img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/994049/201610/994049-20161026141812500-699831120.png" /></p>
<p>　　</p>
<p>　　Selection method是值所在的表名。激活搜索帮助。</p>
<p>　　前往用户界面组件工作台中需要提供搜索帮助的字段。这里我们想要为搜索视图汇总的PARTNER FUNCTION字段提供F4搜索帮助。</p>
<p>　　展开这个字段，生成v-GETTER方法。</p>
<p>　　<img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/994049/201610/994049-20161026142434203-1773980207.png" /></p>
<p>　　方法生成后，复制粘贴下图中的代码。</p>
<p>　　<img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/994049/201610/994049-20161026142520734-323550152.png" /></p>
<p>　　为了开发者的便利，SAP提供了标准类CL_BSP_WD_VALUEHELP_F4DESCR。我们只需要使用某些信息来创建一个该类的实例（以提供搜索帮助）。</p>
<ol><li>Help id: 在SE11中创建过的搜索帮助ID。</li>
<li>Input mapping: 提供上下文节点属性和搜索帮助属性之间的映射。这里我们为PARTNER FUNCTION字段提供了F4帮助。在第9行，我们已经将&lsquo;STRUCT.PARTNER_FCT&rsquo;&nbsp;赋给了input mapping的CONTEXT_ATTR。在下一行，我们将其映射到SE11搜索帮助中的&nbsp;&lsquo;PARTNER_FCT&rsquo;。</li>
<li>Output mapping: 一旦用户选择了F4帮助中的值，我们需要将选择的值返回给相应字段。这个信息将会由output mapping给出。在14行和15行，我们已经通过告诉框架从&lsquo;PARTNER_FCT&rsquo;传递值给上下文节点中的属性&lsquo;STRUCT.PARTNER_FCT&rsquo;</li></ol>
<p>　　激活方法并且测试应用。</p>
<p>　　<img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/994049/201610/994049-20161026143716765-757157443.png" /></p>
<p>　　我们可以看到图上方有两个字段，&nbsp;partner function, 搜索条目文本（text）。这些字段出现在这里是因为我们在SE11中创建搜索帮助时在SPos字段填写了&lsquo;1&lsquo;和&rsquo;2&rsquo;。如果使此列空白，则不会出现这些字段。</p>
<p>　　选择任意值，该值会被自动地传递到partner function字段。</p>
<p>　　我们可以通过发送如下的参数来设定搜索结果的初始限制值:</p>
<p>　　'\''Z*\'''</p>
<p>　　注释掉第9行的&lsquo;STRUCTU.PARTNER_FCT&rsquo; ，取消上面的代码的注释。激活方法，测试应用。这时你的F4将会变成下面展示的样子，所有以Z开头的条目将会被默认搜索到。</p>
<p>　　<img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/994049/201610/994049-20161026151659078-1893395074.png" /></p>
<p>本文链接：<a href="http://www.cnblogs.com/hhelibeb/p/6000412.html" rel="external nofollow noreferrer">http://www.cnblogs.com/hhelibeb/p/6000412.html</a></p>
<p>原文链接：<a href="https://web.archive.org/web/20151224154745/http://www.sapcrmwebui.com/2013/05/39providing-f4-help.html" rel="external nofollow noreferrer">PROVIDING F4 HELP</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/49gpzpe9.html">弹窗样式 idialog&comma;purebox&comma;artdialog4&period;1&period;2&comma;jquery&period;alert&period;v1&period;2</a>
		</li>
						<li><a href="https://www.batexi.com/a/495m04vq.html">Servlet生命周期引起的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qng64j8.html">android项目中values中几个文件的作用</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvyn1zq.html">PHP 使用reflection时的问题&comma;以及解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zz21x8.html">查找SQL数据表或视图中的字段属性信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv1y6zq.html">UVALive4287 hdu2767 hdu3836 强连通</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vzw138.html">android 管理Bitmap内存 - 开发文档翻译</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zggwz9.html">CI引入外部javascript和css</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j1wp38.html">&lbrack;POJ&rsqb;1279&colon; Art Gallery</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjmp238.html">IE浏览器getElementsByTagName方法的兼容问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oj6v1xq.html">appium 常用API使用总结！</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgxyy48.html">Python基础之注释，算数运算符，变量，输入和格式化输出</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1g01yq.html">editplus注册码生成</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj1rm79.html">Python线程的用法 函数式线程&lowbar;thread和threading 样例</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rmwe39.html">支持向量机&lpar;SVM&rpar;利用网格搜索和交叉验证进行参数选择</a>
		</li>
						<li><a href="https://www.batexi.com/a/9602pk49.html">089实战 Nginx的安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zydv6v9.html">扩展saltstack组件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwllomy9.html">基于QT和OpenCV的人脸检測识别系统（2）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ev7lk9.html">启动hive出错，提示没有权限</a>
		</li>
						<li><a href="https://www.batexi.com/a/q15kw009.html">视频分析（MATLAB）&mdash;&mdash;MV分镜头图像分类</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/m96yln84.html">Pramp mock interview &lpar;4th practice&rpar;&colon; Matrix Spiral Print</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxyde9y.html">技术笔记：Delphi多线程应用读写锁</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qn4wx8r.html">ASP&period;NET MVC Model绑定&lpar;二&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq432e8z.html">CSharpGL&lpar;17&rpar;重构CSharpGL</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8e2dz81.html">如何调用Google地图？</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8klk3qj.html">【WCF】自定义地址头的筛选器</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9p6lzqx.html">Bagging与随机森林算法原理小结</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8z71n9y.html">设计模式&lpar;一&rpar;：&OpenCurlyDoubleQuote;穿越火线&rdquo;中的&OpenCurlyDoubleQuote;策略模式&rdquo;&lpar;Strategy Pattern&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rlge90.html">UWP开发之Mvvmlight实践五：SuspensionManager中断挂起以及复原处理</a>
			</li>
						<li><a href="https://www.batexi.com/a/3905ljqd.html">android 在 ListView 的 item 中插入 GridView 仿微信朋友圈图片显示。</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
